org.jbpm.bpmn2.xpath

## Class XPATHProcessDialect

- java.lang.Object
- - org.jbpm.bpmn2.xpath.XPATHProcessDialect

- All Implemented Interfaces:
    ProcessDialect

      public class XPATHProcessDialect
      extends Object
      implements ProcessDialect

  Please make sure to use the getter methods when referring to the static final fields, because this class is extended in other modules (jbpm-kie-services).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPATHProcessDialect()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addProcess(ProcessBuildContext context)`
    `ActionBuilder` | `getActionBuilder()`
    `AssignmentBuilder` | `getAssignmentBuilder()`
    `ProcessClassBuilder` | `getProcessClassBuilder()`
    `ReturnValueEvaluatorBuilder` | `getReturnValueEvaluatorBuilder()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XPATHProcessDialect

          public XPATHProcessDialect()

  - ### Method Detail

    - #### addProcess

          public void addProcess(ProcessBuildContext context)

      Specified by:
        `addProcess` in interface `ProcessDialect`

    - #### getActionBuilder

          public ActionBuilder getActionBuilder()

      Specified by:
        `getActionBuilder` in interface `ProcessDialect`

    - #### getProcessClassBuilder

          public ProcessClassBuilder getProcessClassBuilder()

      Specified by:
        `getProcessClassBuilder` in interface `ProcessDialect`

    - #### getReturnValueEvaluatorBuilder

          public ReturnValueEvaluatorBuilder getReturnValueEvaluatorBuilder()

      Specified by:
        `getReturnValueEvaluatorBuilder` in interface `ProcessDialect`

    - #### getAssignmentBuilder

          public AssignmentBuilder getAssignmentBuilder()

      Specified by:
        `getAssignmentBuilder` in interface `ProcessDialect`

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.